# SPEC file for bbn_80211
#
#
# Original source from https://128.2.212.19/wiki/BBN80211
# Ben Maher Yahmed fix to let compile it with gnuradio 3.2.2 and USRP2
# Version 3.2.2 is the same than for gnuradio
# File: bbn_80211.tar.gz stored locally at:
#
%define name bbn_80211
%define version 3.2.2
%define release 4
%define actual_name %{name}-%{version}

# for module-tools
%define module_taglevel_varname release

Name: %{name}
Summary: Very basic 802.11 transceiver code from BBN
Version: %{version}
Release: %{release}
License: GPLv2
URL: https://128.2.212.19/wiki/BBN80211
Group: BBN
Source: %{actual_name}.tar.gz
BuildRoot: %{_tmppath}/%{actual_name}


BuildRequires:  swig gnuradio gnuradio-devel

Requires: swig gnuradio boost

%description
Basic 802.11 transmitter and receiver, which is able 
to decode low rate 802.11 packets from standard NICs 
over the air reliably at 1Mbps and partially at 2Mbps. 

%prep
%setup -q -n %{actual_name}
# patch bbn_tap.cc that lacks an include (critical on f12)
sed -i '
/#include <stdexcept>/ a\
#include <stdio.h>
' gr-bbn/src/bbn/bbn_tap.cc 

%build
#PKG_CONFIG_PATH="/usr/lib/pkgconfig"
#export PKG_CONFIG_PATH
cd gr-bbn
./configure --prefix=/usr 
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_datadir}/%{actual_name}
cp -pru gr-bbn $RPM_BUILD_ROOT%{_datadir}/%{actual_name}
cd gr-bbn
make DESTDIR=$RPM_BUILD_ROOT install


%post
ldconfig

%postun
ldconfig

%clean
rm -rf $RPM_BUILD_ROOT


%files 
%defattr(-,root,root,-)
%{_bindir}/*
%{_includedir}/gnuradio/*
/usr/lib*/python*/site-packages/
%dir %{_datadir}/%{actual_name}
%{_datadir}/%{actual_name}/*





%changelog -n bbn_80211
* Thu Feb 16 2012 Thierry Parmentelat <thierry.parmentelat@sophia.inria.fr> - bbn_80211-3.2.2-4
- bugfix for packaging on 64bits

* Fri Jan 29 2010 Thierry Parmentelat <thierry.parmentelat@sophia.inria.fr> - bbn_80211-3.2.2-3
- add explicit dep to boost

* Wed Jan 20 2010 Thierry Parmentelat <thierry.parmentelat@sophia.inria.fr> - bbn_80211-3.2.2-2
- rework for f12

* Mon Oct 5 2009 Thierry Turletti <turletti@sophia.inria.fr> 3.2.2-1.1
- fixed errors with rpmlint

* Mon Oct 5 2009 Thierry Turletti <turletti@sophia.inria.fr> 3.2.2-1.0
- first version




